Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class NewsMessageRecord

    java.lang.Object
      com.knowgate.lucene.NewsMessageRecord

    public class NewsMessageRecord

extends java.lang.Object

Nested Class Summary
`static class` | `NewsMessageRecord.CompareAuthor`
`static class` | `NewsMessageRecord.CompareDate`
`static class` | `NewsMessageRecord.CompareScore`
`static class` | `NewsMessageRecord.CompareTitle`

Constructor Summary
`NewsMessageRecord()`
`NewsMessageRecord(float fScore, java.lang.String sWrkA, java.lang.String sGuid, java.lang.String sGroup, java.lang.String sTitle, java.lang.String sAuthor, java.util.Date dtCreated, java.lang.String sAbstract)`

Method Summary
`java.lang.String` | `getAbstract()`
`java.lang.String` | `getAuthor()`
`java.util.Date` | `getDate()`
`java.lang.String` | `getDateAsString()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getNewsGroupName()`
`float` | `getScore()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getWorkArea()`
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewsMessageRecord

    public NewsMessageRecord()

### NewsMessageRecord

    public NewsMessageRecord(float fScore,
                             java.lang.String sWrkA,
                             java.lang.String sGuid,
                             java.lang.String sGroup,
                             java.lang.String sTitle,
                             java.lang.String sAuthor,
                             java.util.Date dtCreated,
                             java.lang.String sAbstract)

Method Detail

### getAbstract

    public java.lang.String getAbstract()

### getWorkArea

    public java.lang.String getWorkArea()

### getGuid

    public java.lang.String getGuid()

### getNewsGroupName

    public java.lang.String getNewsGroupName()

### getTitle

    public java.lang.String getTitle()

### getAuthor

    public java.lang.String getAuthor()

### getDate

    public java.util.Date getDate()

### getDateAsString

    public java.lang.String getDateAsString()

### getScore

    public float getScore()

### toXML

    public java.lang.String toXML()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD